/***************************************************************************
* Symbol.h                                                                 *
*                                                                          *
*   Changes:                                                               *
*                                                                          *
*       09/12/99    arvo      Renamed Symbol.h from Letter.h               *
*       06/04/98    arvo      Initial coding.                              *
*                                                                          *
*--------------------------------------------------------------------------*
* Copyright (C) 1999, James Arvo                                           *
*                                                                          *
* This program is free software; you can redistribute it and/or modify it  *
* under the terms of the GNU General Public License as published by the    *
* Free Software Foundation.  See http://www.fsf.org/copyleft/gpl.html      *
*                                                                          *
* This program is distributed in the hope that it will be useful, but      *
* WITHOUT EXPRESS OR IMPLIED WARRANTY of merchantability or fitness for    *
* any particular purpose.  See the GNU General Public License for more     *
* details.                                                                 *
*                                                                          *
***************************************************************************/
#ifndef __SYMBOL_INCLUDED__
#define __SYMBOL_INCLUDED__

#include <stdio.h>
#include "../util/Multiline.h"
#include "../util/Char.h"
#include "../util/Name.h"

extern const Vec2 NotSupplied;

class Symbol : public NameTableItem {

    private:
        Symbol( const char *name, const char *qual = NULL );
        Symbol( const Symbol &   );
        virtual ~Symbol();

    public:
        const Box2d     &Box    () const { return box    ; }
        const Multiline &Stroke () const { return stroke ; }
        const Multiline &Outline() const { return outline; }
        const Multiline &Mesh   () const { return mesh   ; }
        const Vec2      &Exp    () const { return exp_pos; }
        const Vec2      &Sub    () const { return sub_pos; }
        double            Width  () const { return width  ; }

        void SetStroke ( const Multiline &M );
        void SetOutline( const Multiline &M );
        void SetMesh   ( const Multiline &M );
        void SetExpPos ( const Vec2      &p );
        void SetSubPos ( const Vec2      &p );
        void SetWidth  ( double            w );

        void ComputeMissingFields();

    private:
        Vec2  exp_pos;
        Vec2  sub_pos;
        double width;
        Box2d box;
        Multiline stroke;
        Multiline outline;
        Multiline mesh;

    friend class FontTable;
    };

typedef Symbol *SymbolPtr;
    
#endif








