/***************************************************************************
* Args.h                                                                   *
*                                                                          *
* The CommandLine class is used for accessing and parsing command line     *
* arguments.  This class need not be instanced, since all the data and     *
* methods are static.                                                      *
*                                                                          *
*   HISTORY                                                                *
*       09/02/98    arvo    Initial coding.                                *
*                                                                          *
*--------------------------------------------------------------------------*
* Copyright (C) 1999, James Arvo                                           *
*                                                                          *
* This program is free software; you can redistribute it and/or modify it  *
* under the terms of the GNU General Public License as published by the    *
* Free Software Foundation.  See http://www.fsf.org/copyleft/gpl.html      *
*                                                                          *
* This program is distributed in the hope that it will be useful, but      *
* WITHOUT EXPRESS OR IMPLIED WARRANTY of merchantability or fitness for    *
* any particular purpose.  See the GNU General Public License for more     *
* details.                                                                 *
*                                                                          *
***************************************************************************/
#ifndef __ARGS_INCLUDED__
#define __ARGS_INCLUDED__

#include <stdio.h>

class CommandLine
    {
    public:
        CommandLine() {}
       ~CommandLine() {}
        CommandLine( int argc, char *argv[] );
        static void Set( int argc, char *argv[] );
        static const char *GetArg( int i );
        static const char *GetArg( const char *flag, int i = 0 );
        static int GetSwitch( const char *flag, const char *arg = NULL );
        static const char *GetProgName() { return argv[0]; }

    private:
        static int    argc;
        static char **argv;
    };

#endif



