/***************************************************************************
* Timer.C																   *
*																		   *
* Basic clock utilities.												   *
*																		   *
*	HISTORY 															   *
*	   Name    Date 	   Description									   *
*																		   *
*	   arvo    04/02/95   Initial implementation.						   *
*	   zanibbi 04/03/2001 Added time.h include for Linux.				   *
*																		   *
*--------------------------------------------------------------------------*
* Copyright (C) 1999, James Arvo										   *
*																		   *
* This program is free software; you can redistribute it and/or modify it  *
* under the terms of the GNU General Public License as published by the    *
* Free Software Foundation.  See http://www.fsf.org/copyleft/gpl.html	   *
*																		   *
* This program is distributed in the hope that it will be useful, but	   *
* WITHOUT EXPRESS OR IMPLIED WARRANTY of merchantability or fitness for    *
* any particular purpose.  See the GNU General Public License for more	   *
* details.																   *
*																		   *
***************************************************************************/
//#include "../include/unistd.h"  // Required on SGI.
#include <stdio.h>
#include <stdlib.h>
#include <windows.h>
#include "Timer.h"


Timer::Timer() 
{ 
	Start(); 
}

Timer::~Timer()
{
}

void Timer::Sleep( float sec )
{
	::Sleep(unsigned long(sec * 1000.0f));
}

void Timer::Start()
{
	start = clock();
}

float Timer::SecondsElapsed() const
{
	return float(clock() - start) / CLOCKS_PER_SEC;
}

float Timer::MillisecondsElapsed() const
{
	return SecondsElapsed() * 1000;
}

#include "stdafx.h"
